SPI_POPULATE_TAG_MSG(9)

NAME
spi_populate_tag_msg - place a tag message in a buffer

SYNOPSIS

int spi_populate_tag_msg(unsigned char * msg, struct scsi_cmnd * cmd);

ARGUMENTS

msg
    pointer to the area to place the tag

cmd
    pointer to the scsi command for the tag

NOTES

designed to create the correct type of tag message for the particular request. Returns the size of the tag message. May return 0 if TCQ is disabled for this device.

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT